#' ts

#' ts
#' @param service service
#' @param username username
#' @param password password
#' @param fromDate fromDate from "2016/11/01 00:00:00"
#' @param toDate toDate to "2017/05/01 00:00:00"
#' @param precision precision second, minute, houly, daily, monthly, yearly
#' @param timeResolution timeResolution time resolution second, minute, houly, daily, monthly, yearly
#' @param element_id element ids "NO2" "O3", c(...),...
#' @param station_id station ids "665", c(...),...
#' @param location location
#' @keywords friendlyr
#' @export
#' @examples
#' \dontrun{
#' ts()
#' }
ts <- function(service=NULL, username=NULL,password=NULL,fromDate=NULL,toDate=NULL,precision=NULL,timeResolution=NULL,element_id=NULL,station_id=NULL,location=NULL) {

  friend <- friendlyr(service=service, username=username,password=password)
  res <- friend$data(fromDate = fromDate, toDate = toDate, precision=precision,timeResolution=timeResolution,element_id=element_id,station_id=station_id,location=location,COL_DATE=FALSE)
  tbl_friendlyts <- friendlyts::as_tbl_friendlyts(res,precision=precision)
  return(tbl_friendlyts)
}
